[versions]
kotlin = "1.8.10"
compose = "1.3.0"
navigation-compose = "2.5.3"
navigation-hilt-compose = "1.0.0"
hilt = "2.44"
moshi = "1.14.0"
retrofit = "2.9.0"
logging-interceptor = "3.9.1"
moshi-converter = "2.4.0"
coroutines = "1.3.9"
viewmodel-ktx = "2.2.0"
lifecycle-runtime-ktx = "2.3.1"
core-ktx = "1.7.0"
appcompat = "1.4.1"
junit = "4.13.2"
junit-ext = "1.1.3"

[libraries]
compose-ui = { module = "androidx.compose.ui:ui", version.ref = "compose" }
compose-material = { module = "androidx.compose.material:material", version.ref = "compose" }
compose-tooling = { module = "androidx.compose.ui:ui-tooling", version.ref = "compose" }
compose-icons = { module = "androidx.compose.material:material-icons-extended", version.ref = "compose" }
compose-navigation = { module = "androidx.navigation:navigation-compose", version.ref = "navigation-compose" }
compose-activity = { module = "androidx.activity:activity-compose", version.ref = "compose" }
navigation-hilt-compose = { module = "androidx.hilt:hilt-navigation-compose", version.ref = "navigation-hilt-compose" }
hilt = { module = "com.google.dagger:hilt-android", version.ref = "hilt" }
hilt-compiler = { module = "com.google.dagger:hilt-compiler", version.ref = "hilt" }
moshi = { module = "com.squareup.moshi:moshi", version.ref = "moshi" }
moshi-kotlin = { module = "com.squareup.moshi:moshi-kotlin", version.ref = "moshi" }
retrofit = { module = "com.squareup.retrofit2:retrofit", version.ref = "retrofit" }
logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "logging-interceptor" }
moshi-converter = { module = "com.squareup.retrofit2:converter-moshi", version.ref = "moshi-converter" }
coroutines = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-android", version.ref = "coroutines" }
viewmodel-ktx = { module = "androidx.lifecycle:lifecycle-viewmodel-ktx", version.ref = "viewmodel-ktx" }
runtime-ktx = { module = "androidx.lifecycle:lifecycle-runtime-ktx", version.ref = "lifecycle-runtime-ktx" }
core-ktx = { module = "androidx.core:core-ktx", version.ref = "core-ktx" }
appcompat = { module = "androidx.appcompat:appcompat", version.ref = "appcompat" }
junit = { module = "junit:junit", version.ref = "junit" }
junit-ext = { module = "androidx.test.ext:junit", version.ref = "junit-ext" }
test-coroutines = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-test", version.ref = "coroutines" }

[plugins]
kotlin = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }